/*
 * @Author: WuWei
 * @Date: 2020-08-10 17:27:58
 * @LastEditors: ChenYaJin
 * @LastEditTime: 2023-10-24 18:09:01
 * @Description:
 */
import 'package:app_package/app_package.dart';
import '../models/pay_list.dart';
import '../models/pay_summary.dart';
import '../models/pay_detail.dart';
import '../models/pay_type.dart';

abstract class PayIndexService {
  Future<ResModel<PagingModel<PayListModel>>> getPayList(data);
  Future<ResModel<PaySummaryModel>> getPaySummary(data);
  Future<ResModel<PayDetail>> getPayDetail(id, data);

  ///支付方式枚举
  Future<ResModel<PayTypeModel>> getPayTypeList(data);
  // Future<ResModel<List<CommunityPickerModel>>> getDomainCommunityListToPicker();
}
